import type Resources from "../../types/Resources";

export default function calculateAvailableResources(userResources: Resources, buildingCost: Resources) {
    let canBuild = true;
    const resources = {} as Resources;
    
    let resource: keyof Resources;
    for (resource in buildingCost) {
        resources[resource] = userResources[resource] - buildingCost[resource];
        if (userResources[resource] < buildingCost[resource]) {
            canBuild = false;
        }
    }

    return {
        canBuild,
        resources
    };
}