import type { APIRoute } from "astro";
import validateAccessToken from "../../../lib/utils/validateAccessToken";
import { getUserByAccessToken } from "../../../lib/db/users";
import type User from "../../../types/User";

export const GET: APIRoute = async({ request }) => {
    const response = await validateAccessToken(request);
    if(response instanceof Response) return response;

    const user = (await getUserByAccessToken(response)) as User;

    return new Response(
        JSON.stringify({
            code: 200,
            message: "OK",
            data: "Access token valid for user " + user.username
        })
    );
}