import type { APIRoute } from "astro";
import { getAccessToken } from "../../../lib/db/accessTokens";
import validateAccessToken from "../../../lib/utils/validateAccessToken";

export const GET: APIRoute = async({ request }) => {
    const response = await validateAccessToken(request);
    if(response instanceof Response) return response;

    const buildings = [
        {
            "name": "Iron Mine",
            "level": 1,
            "production": 100
        },
        {
            "name": "Coal Mine",
            "level": 2,
            "production": 150
        }
    ];

    return new Response(
        JSON.stringify({
            code: 200,
            message: "OK",
            data: {
                buildings
            }
        })
    );
}